<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package Linden Lite
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function linden_lite_body_classes( $classes ) {
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$classes[] = 'group-blog';
	}

	//Add class for Intro text box position
	$classes[] = linden_lite_sanitize_position( get_theme_mod('linden_lite_intro_textbox_pos' ));

	//Add class for sidebar position
	$classes[] = linden_lite_sanitize_position( get_theme_mod('linden_lite_sidebar_pos' ));

	return $classes;
}
add_filter( 'body_class', 'linden_lite_body_classes' );