<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Linden Lite
 */

get_header(); ?>

<div id="primary" class="content-area">

	<main id="main" class="content-main content-wrap" role="main"><?php

		if ( is_front_page() && linden_lite_has_featured_posts() ) :

			get_template_part( 'template-parts/content-featured-posts' );
		endif;

		//intro text
		$linden_lite_intro_title_box = get_theme_mod( 'linden_lite_intro_titlebox' );
		$linden_lite_intro_text_box  = get_theme_mod( 'linden_lite_intro_textbox' );

		if( is_front_page() && !is_paged() && !(empty( $linden_lite_intro_text_box) && empty ( $linden_lite_intro_title_box ))): ?>

			<div class="intro-block">
				<?php if(!empty($linden_lite_intro_title_box)): ?>
					<div class="intro-title"><?php echo wp_kses_post( $linden_lite_intro_title_box ); ?></div>
				<?php endif;
				if(!empty($linden_lite_intro_text_box)): ?>
					<div class="text-block"><?php echo do_shortcode( wp_kses_post( $linden_lite_intro_text_box )); ?></div>
			<?php endif;?>
			</div>

		<?php endif;

		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) : ?>
				<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
			<?php endif;

		get_template_part( 'template-parts/content-posts' );

	else :
		get_template_part( 'template-parts/content-none' );
		endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
