<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Linden Lite
 */

get_header();

while ( have_posts() ) : the_post(); ?>

	<div class="content-wrap">

		<div id="primary" class="content-area">

			<main id="main" class="site-main" role="main"><?php

				get_template_part( 'template-parts/content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			</main><!-- #main -->

		</div><!-- #primary -->
		<?php

		if ( get_theme_mod( "linden_lite_sidebar_pos" ) != 'sidebar-none') :
			get_sidebar();
		endif;
		?>
	</div><!-- .content-wrap -->

<?php endwhile; // end of the loop.

get_footer(); ?>
