<?php
/**
 * @package Linden Lite
 */

$linden_lite_featured = linden_lite_get_featured_posts();


foreach ( $linden_lite_featured as $post ) : setup_postdata( $post ); ?>

<article class="featured-post">

	<?php if (has_post_thumbnail()): ?>
	<a class="post-thumbnail-link" href="<?php the_permalink(); ?>" rel="bookmark" aria-hidden="true">
		<?php the_post_thumbnail('linden-lite-post-thumb', array('class'=>'post-thumbnail'))?>
	</a>
	<?php else: ?>
		<div class="post-thumbnail-placeholder"><div></div></div>
	<?php endif;?>

	<header class="post-header">

		<?php the_title( sprintf( '<h2 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<div class="header-meta">
			<?php linden_lite_entry_category();?> <?php linden_lite_posted_on(); ?> <?php edit_post_link( esc_html__( 'Edit', 'linden-lite' ), '<span class="edit-link">', '</span>' ); ?>
		</div><!-- .header-meta -->


	</header>

</article><?php

endforeach;

wp_reset_postdata(); ?>


