<?php
/**
 *
 * Template Name: Portfolio Custom Type
 * The template for displaying Jetpack Portfolio archive page.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Linden Lite
 */

get_header(); ?>

<div id="primary" class="content-area">

	<main id="main" class="content-main content-wrap" role="main"><?php
	// 1. Include the Featured post loop. Using Featured Content.
	if ( is_front_page() && linden_lite_has_featured_posts() ) :

		get_template_part( 'template-parts/content-featured-posts' );
	endif;

		//intro text
		$linden_lite_intro_title_box = get_theme_mod( 'linden_lite_intro_titlebox' );
		$linden_lite_intro_text_box  = get_theme_mod( 'linden_lite_intro_textbox' );

		if( is_front_page() && !is_paged() && !(empty( $linden_lite_intro_text_box) && empty ( $linden_lite_intro_title_box ))): ?>

			<div class="intro-block left clear">
				<?php if(!empty($linden_lite_intro_title_box)): ?>
					<div class="intro-title"><?php echo wp_kses_post( $linden_lite_intro_title_box ); ?></div>
				<?php endif;
				if(!empty($linden_lite_intro_text_box)): ?>
					<div class="text-block"><?php echo do_shortcode( wp_kses_post( $linden_lite_intro_text_box )); ?></div>
			<?php endif;?>
			</div>

		<?php endif;

			// Get Jetpack Portfolio posts.
			$linden_lite_args = array(
				'post_type' => 'jetpack-portfolio',
			);

			$linden_lite_the_portfolio_query = new WP_Query( $linden_lite_args );

			if ( $linden_lite_the_portfolio_query->have_posts() ) : ?>

				<div class="post-grid" id="post-grid"><?php

					while ( $linden_lite_the_portfolio_query->have_posts() ) : $linden_lite_the_portfolio_query->the_post();

						/* Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_format() );

					endwhile; ?>
					<div class="post post-placeholder"></div>
					<div class="post post-placeholder"></div>
				</div>
				<?php
			else :
				get_template_part( 'template-parts/content-none' );
			endif;
			wp_reset_postdata();
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>